<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:tabPanel id="tabpanelForSaving">
        <gri:tab id="personInfo" head="#{messages['net.ihe.gazelle.xdstar.PersonalInformations']}">
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Firstname']}</ui:define>
                        <h:outputText value="#{personInfo.fname}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Middlename']}</ui:define>
                        <h:outputText value="#{personInfo.secname}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Lastname']}</ui:define>
                        <h:outputText value="#{personInfo.lname}"/>
                    </s:decorate>
                </div>
            </div>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MaidenName_4']}</ui:define>
                <h:outputText value="#{personInfo.documentHeader.person.maidenLname}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Gender_2']}</ui:define>
                <h:outputText value="#{personInfo.gender}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Birthday']}</ui:define>
                <h:outputText value="#{personInfo.dob}">
                    <s:convertDateTime type="both" pattern="MM/dd/yyyy"/>
                </h:outputText>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PatientId_2']}</ui:define>
                <h:outputText value="#{personInfo.piIdentifier}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Race']}</ui:define>
                <h:outputText value="#{personInfo.race.raceDesc}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Religion']}</ui:define>
                <h:outputText value="#{personInfo.religionType.religionTypeDesc}"/>
            </s:decorate>
        </gri:tab>
        <gri:tab id="LocationPanel" head="#{messages['net.ihe.gazelle.xdstar.LocationInformations']}">
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Country_2']}</ui:define>
                        <h:outputText value="#{personInfo.country}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.State']}</ui:define>
                        <h:outputText value="#{personInfo.stateProv}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.City_2']}</ui:define>
                        <h:outputText value="#{personInfo.city}"/>
                    </s:decorate>
                </div>
            </div>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.StreetAddress']}</ui:define>
                <h:outputText value="#{personInfo.address1}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Zipcode']}</ui:define>
                <h:outputText value="#{personInfo.zip}"/>
            </s:decorate>
        </gri:tab>
        <gri:tab id="ContactPanel" head="#{messages['net.ihe.gazelle.xdstar.ContactInformations']}">
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TelephoneNumber']}</ui:define>
                <h:outputText value="#{personInfo.phoneNum}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Email']}</ui:define>
                <h:outputText value="#{personInfo.email}"/>
            </s:decorate>
        </gri:tab>
    </gri:tabPanel>
</ui:composition>
